Subject: Re: [Bitcoin-development] [BIP draft] Motivation and deployment of consensus rules changes ([soft/hard]forks)

From: Tier Nolan <[email-masked]>
Date: Sun, 21 Jun 2015 11:54:07 +0100

On Sun, Jun 21, 2015 at 11:31 AM, Jorge Timón <[email-masked]> wrote:

> You mean the timewarp fix can be coded as a softfork instead of a
> hardfork? How so?
>

The easiest would be a rule requiring that all blocks are within 1 day of
the median of the previous 11 blocks.  At the moment, you need to be
greater than that value.  This would add a condition at the other end.

It wouldn't be a total fix, but it would protect against the exploit.

A stricter soft fork would be that the two blocks in question have to have
the same timestamp.  This would force the off by 1 and the correct value to
give the same result.

If that's the case, do you have a better candidate?

I think it is fine, since fixing it "right" does require a hard fork,
especially if it is only to show a non controversial hard fork.